package domain


type AlibabaWdkItemStoreskuUpdateResult struct {
    /*
        success     */
    Success  *bool `json:"success,omitempty" `

    /*
        errorCode     */
    ErrorCode  *string `json:"error_code,omitempty" `

    /*
        errorDesc     */
    ErrorDesc  *string `json:"error_desc,omitempty" `

}

func (s *AlibabaWdkItemStoreskuUpdateResult) SetSuccess(v bool) *AlibabaWdkItemStoreskuUpdateResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkItemStoreskuUpdateResult) SetErrorCode(v string) *AlibabaWdkItemStoreskuUpdateResult {
    s.ErrorCode = &v
    return s
}
func (s *AlibabaWdkItemStoreskuUpdateResult) SetErrorDesc(v string) *AlibabaWdkItemStoreskuUpdateResult {
    s.ErrorDesc = &v
    return s
}
